#
# spec file for package libstfl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0
Name:           libstfl
Version:        0.23
Release:        4.3
Summary:        Structured Terminal Forms Library
License:        LGPL-3.0+
Group:          System/Libraries
Url:            http://www.clifford.at/stfl/
Source:         http://www.clifford.at/stfl/stfl-%{version}.tar.gz
Source99:       libstfl-rpmlintrc
Patch1:         stfl-optflags.patch
Patch2:         stfl-ncurses.patch
#BuildRequires:	swig perl python python-devel ruby ruby-devel
BuildRequires:  ncurses-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
.............................................................................

%package -n libstfl%{soname}
Summary:        Structured Terminal Forms Library
Group:          System/Libraries

%description -n libstfl%{soname}
STFL is a library which implements a curses-based widget set for text
terminals. The STFL API can be used from C, SPL, Python, Perl and Ruby. Since
the API is only 14 simple function calls big and there are already generic
SWIG bindings it is very easy to port STFL to additional scripting languages.

A special language (the Structured Terminal Forms Language) is used to
describe STFL GUIs. The language is designed to be easy and fast to write so
an application programmer does not need to spend ages fiddling around with the
GUI and can concentrate on the more interesting programming tasks.

%package -n libstfl-devel
Summary:        Structured Terminal Forms Library
Group:          Development/Libraries/C and C++
Requires:       libstfl%{soname} = %{version}
Requires:       ncurses-devel

%description -n libstfl-devel
STFL is a library which implements a curses-based widget set for text
terminals. The STFL API can be used from C, SPL, Python, Perl and Ruby. Since
the API is only 14 simple function calls big and there are already generic
SWIG bindings it is very easy to port STFL to additional scripting languages.

A special language (the Structured Terminal Forms Language) is used to
describe STFL GUIs. The language is designed to be easy and fast to write so
an application programmer does not need to spend ages fiddling around with the
GUI and can concentrate on the more interesting programming tasks.

%prep
%setup -q -n "stfl-%{version}"
%patch1
%patch2

%build
make %{?_smp_mflags} \
    prefix="%{_prefix}" \
	libdir="%{_lib}" \
	CC="gcc" \
	OPTFLAGS="%{optflags}" \
	FOUND_SPL=0 \
	FOUND_SWIG=0 \
	FOUND_RUBY=0 \
	FOUND_PERL=0 \
	FOUND_PYTHON=0

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} \
	prefix="%{_prefix}" \
	libdir="%{_lib}" \
	FOUND_SPL=0 \
	FOUND_SWIG=0 \
	FOUND_RUBY=0 \
	FOUND_PERL=0 \
	FOUND_PYTHON=0

[ -e "%{buildroot}%{_libdir}/libstfl.so.%{soname}" ] || {
    pushd "%{buildroot}%{_libdir}/"
    ln -s libstfl.so.*.* libstfl.so.%{soname}
    popd
}

%post   -n libstfl%{soname} -p /sbin/ldconfig

%postun -n libstfl%{soname} -p /sbin/ldconfig

%files -n libstfl%{soname}
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libstfl.so.%{soname}
%{_libdir}/libstfl.so.%{soname}.*

%files -n libstfl-devel
%defattr(-,root,root)
%{_includedir}/stfl.h
%{_libdir}/libstfl.so
%{_libdir}/libstfl.a
%{_libdir}/pkgconfig/stfl.pc

%changelog
* Wed May 13 2015 mpluskal@suse.com
- Update to 0.23
  * no upstream changelog provided
- Cleanup spec file with spec-cleaner
* Fri Mar  2 2012 cfarrell@suse.com
- license update: LGPL-3.0+
  No indication of LGPL-3.0 (only) files. See README also
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Thu Jun 24 2010 pascal.bleser@opensuse.org
- update to 0.21
- changed spec file as libstfl now also ships a shared library
* Thu Dec 10 2009 pascal.bleser@opensuse.org
- update to 0.20
* Thu Aug 21 2008 guru@unixtech.be
- new package
